ScXMLCoinEvaluator(3)

NAME
ScXMLCoinEvaluator - implements the evaluator for the custom profile named 'x-coin'.

SYNOPSIS

#include <Inventor/scxml/ScXMLCoinEvaluator.h>

Inherits ScXMLEvaluator.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setStateMachine (ScXMLStateMachine *sm)
virtual ScXMLDataObj * evaluate (const char *expression) const
virtual SbBool setAtLocation (const char *location, ScXMLDataObj *obj)
virtual ScXMLDataObj * locate (const char *location) const
virtual void clearTemporaryVariables (void)
void dumpTemporaries (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the evaluator for the custom profile named 'x-coin'. The x-coin profile extends over the minimum profile with data interpretation, logical operators, arithmetic expressions, and some convenience data model features like access to the scene graph and temporary storage of variables.

Member Function Documentation

  SoType ScXMLCoinEvaluator::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLEvaluator.

  void ScXMLCoinEvaluator::setStateMachine (ScXMLStateMachine * sm) [virtual]
Override to perform actions when installed on a state machine.

Reimplemented from ScXMLEvaluator.

  ScXMLDataObj * ScXMLCoinEvaluator::evaluate (const char * expression) const [virtual]

Implements ScXMLEvaluator.

  SbBool ScXMLCoinEvaluator::setAtLocation (const char * location, ScXMLDataObj * obj) [virtual]

Implements ScXMLEvaluator.

  ScXMLDataObj * ScXMLCoinEvaluator::locate (const char * location) const [virtual]

Implements ScXMLEvaluator.

  void ScXMLCoinEvaluator::clearTemporaryVariables (void) [virtual]
Clears out all the temporary variables that have the same lifespan as the processing of one event.

Reimplemented from ScXMLEvaluator.

Author

Generated automatically by Doxygen for Coin from the source code.